# $Id$
# Authority: gnujpl
# Name: Jean-Paul Leclre

%define name smeserver-phpwebftp
%define version 4.0
%define release 2

Summary: Web FTP access via HTTPS for SME.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/WebFTP
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.2005012300
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-apache
BuildRequires: e-smith-devtools
Obsoletes: eos-webftp
AutoReqProv: no

%description
smeserver-phpwebftp adds an ftp panel available to users via SSL web access.

%changelog
* Sat May 4 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-2]
- Bump Copyright to License in spec

* Thu May 1 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-1]
- Bump to smeserver-phpwebftp for SME 7.3
- upgrade phpwebftp to 4.0

* Sat May 21 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-4]
- Correctif sur position Virtualhost pour utilisation directive Global

* Sun Apr 17 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-3]
- Correctif sur directive SSLRequireSSL

* Sun Jan 23 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-2]
- Correctif sur droits rpertoire tmp
- ajout paramtre ForceFTPVirtualLocalhost pour FTP malgr TLS

* Sun Jan 9 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-1]
- Initial release


%prep
%setup

#%patch0 -p1


%pre

%post

%build
./createlinks 

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%preun

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,www)
%attr(0770,root,www) %config(noreplace) /home/httpd/html/webftp/tmp

